Bug 117965 - editors/openoffice.org-2 Impress crashes with multiple consecutive image + auto timed display
Summary: editors/openoffice.org-2 Impress crashes with multiple consecutive image + au...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-10 21:50 UTC by User1001
Modified: 2009-05-30 23:59 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description User1001 2007-11-10 21:50:01 UTC

1) create new presentation
2) add 7-18 slides with one LINKED JPG file (size doesn't seem to be important)
3) set slide transition to "Fade-Through-Black", 5 seconds, for all slides
4) show slide-show
5) somewhere between slide 6-12, OOimpress crashes

Fix: 

Temporary workarounds:
Export as PDF
Run with StarOffice 7/8 (Solaris 10)
Export as PPT and run with that other OS (from Redmond)
Export as PPT and run with PowerPoint:Mac (2004)
How-To-Repeat: 

1) recover from crash and replay slideshow ==> crash again (though may be at different slide)

2) start OOimpress from scratch and redisplay previous multi-image slideshow ==> crash
Comment 1 Edwin Groothuis freebsd_committer 2007-11-10 21:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 User1001 2007-11-10 22:28:34 UTC
ktrace (BSD kernel trace) - partial extraction including crash:
  1241 soffice.bin NAMI  "/var/tmp/svoof.tmp/svp16.tmp"
  1241 soffice.bin RET   access 0
  1241 soffice.bin CALL  lstat(0x2f81a52c,0xbfbfc4c0)
  1241 soffice.bin NAMI  "/var/tmp/svoof.tmp/svp16.tmp"
  1241 soffice.bin RET   lstat 0
  1241 soffice.bin CALL  stat(0xbfbfc14c,0xbfbfc0dc)
  1241 soffice.bin NAMI  "/var/tmp/svoof.tmp/svp16.tmp"
  1241 soffice.bin RET   stat 0
  1241 soffice.bin CALL  unlink(0xbfbfc14c)
  1241 soffice.bin NAMI  "/var/tmp/svoof.tmp/svp16.tmp"
  1241 soffice.bin RET   unlink 0
  1241 soffice.bin CALL  gettimeofday(0xbfbfc800,0)
  1241 soffice.bin RET   gettimeofday 0
  1241 soffice.bin CALL  write(0x6,0x80ba000,0x2c8)
  1241 soffice.bin GIO   fd 6 wrote 712 bytes
       0x0000 3518 0400 68b2 4002 0400 4002 0100 0100 3700  |5...h.@...@.....7.|
       0x0012 0500 69b2 4002 68b2 4002 0000 0100 0000 0000  |..i.@.h.@.........|
       0x0024 38b2 0500 69b2 4002 0400 0800 ffff ff00 0000  |8...i.@...........|
       0x0036 0000 4603 0500 68b2 4002 69b2 4002 0000 0000  |..F...h.@.i.@.....|
       0x0048 0100 0100 3c00 0200 69b2 4002 3697 0200 68b2  |....<...i.@.6...h.|
.
.
.
  1241 soffice.bin RET   write 300/0x12c
  1241 soffice.bin CALL  write(0x6,0x80ba000,0x30)
  1241 soffice.bin GIO   fd 6 wrote 48 bytes
       0x0000 0218 0400 3001 4002 0100 0000 0000 0000 3e00  |....0.@.........>.|
       0x0012 0700 3c97 4002 3001 4002 3c07 4002 0000 0000  |..<.@.0.@.<.@.....|
       0x0024 0200 5c00 9403 da02 2bb2 0100                 |..\.....+...|

  1241 soffice.bin RET   write 48/0x30
  1241 soffice.bin CALL  read(0x6,0xbfbfdb9c,0x20)
  1241 soffice.bin RET   read -1 errno 35 Resource temporarily unavailable
  1241 soffice.bin CALL  poll(0x80b0700,0x1,0xffffffff)
  1241 soffice.bin RET   fork 0
  1241 soffice.bin CALL  kse_release(0x8096f40)
  1241 soffice.bin RET   kse_release 0
  1241 soffice.bin CALL  read(0x6,0xbfbfdb9c,0x20)
  1241 soffice.bin GIO   fd 6 read 32 bytes
       0x0000 0e00 5e7d 5bb2 4002 0000 3ebf f6c3 0c08 8012  |..^}[.@...>.......|
       0x0012 6a08 8012 6a08 c022 1c08 98d5 6708            |j...j.."....g.|

  1241 soffice.bin RET   read 32/0x20
  1241 soffice.bin CALL  read(0x6,0xbfbfdb9c,0x20)
  1241 soffice.bin GIO   fd 6 read 32 bytes
       0x0000 0e00 7a7d 65b2 4002 0000 3ebf f6c3 0c08 80e9  |..z}e.@...>.......|
       0x0012 6a08 80e9 6a08 c022 1c08 98d9 6708            |j...j.."....g.|

  1241 soffice.bin RET   read 32/0x20
  1241 soffice.bin CALL  read(0x6,0xbfbfdb9c,0x20)
  1241 soffice.bin RET   read -1 errno 35 Resource temporarily unavailable
  1241 soffice.bin CALL  poll(0x80b0700,0x1,0xffffffff)
  1241 soffice.bin RET   fork 0
  1241 soffice.bin CALL  kse_release(0x8096f40)
  1241 soffice.bin RET   kse_release 0
  1241 soffice.bin CALL  read(0x6,0xbfbfdb9c,0x20)
  1241 soffice.bin GIO   fd 6 read 32 bytes
       0x0000 0e00 ad7d 75b2 4002 0000 3ebf f6c3 0c08 00c9  |...}u.@...>.......|
       0x0012 6a08 00c9 6a08 c022 1c08 98d5 6708            |j...j.."....g.|

  1241 soffice.bin RET   read 32/0x20
  1241 soffice.bin CALL  read(0x6,0xbfbfdb9c,0x20)
  1241 soffice.bin GIO   fd 6 read 32 bytes
       0x0000 0e00 e57d 87b2 4002 0000 3ebf f6c3 0c08 80e9  |...}..@...>.......|
       0x0012 6a08 80e9 6a08 c022 1c08 9807 6c08            |j...j.."....l.|

  1241 soffice.bin RET   read 32/0x20
  1241 soffice.bin CALL  read(0x6,0xbfbfdb9c,0x20)
  1241 soffice.bin GIO   fd 6 read 32 bytes
       0x0000 0102 ea7d 0000 0000 b200 e000 0000 0000 0400  |...}..............|
       0x0012 0000 0400 0000 40f4 3f08 0000 0000            |......@.?.....|

  1241 soffice.bin RET   read 32/0x20
  1241 soffice.bin CALL  ioctl(0x6,FIONREAD,0xbfbfd88c)
  1241 soffice.bin RET   ioctl 0
  1241 soffice.bin CALL  gettimeofday(0xbfbfe14c,0)
  1241 soffice.bin RET   gettimeofday 0
  1241 soffice.bin CALL  gettimeofday(0xbfbfe1f0,0)
  1241 soffice.bin RET   gettimeofday 0
  1241 soffice.bin CALL  gettimeofday(0xbfbfe180,0)
  1241 soffice.bin RET   gettimeofday 0
  1241 soffice.bin CALL  gettimeofday(0x29c2030c,0)
  1241 soffice.bin RET   gettimeofday 0
  1241 soffice.bin CALL  poll(0x8283880,0x6,0)
  1241 soffice.bin RET   poll 0
  1241 soffice.bin CALL  poll(0x8283880,0x6,0)
  1241 soffice.bin RET   poll 0
  1241 soffice.bin CALL  poll(0x8283880,0x6,0)
  1241 soffice.bin RET   poll 0
  1241 soffice.bin CALL  poll(0x8283880,0x6,0)
  1241 soffice.bin RET   poll 0
  1241 soffice.bin CALL  ioctl(0x6,FIONREAD,0xbfbfda38)
  1241 soffice.bin RET   ioctl 0
  1241 soffice.bin CALL  gettimeofday(0xbfbfe234,0)
  1241 soffice.bin RET   gettimeofday 0
  1241 soffice.bin CALL  poll(0x8283880,0x6,0)
  1241 soffice.bin RET   poll 0
  1241 soffice.bin CALL  gettimeofday(0xbfbfe1d0,0)
  1241 soffice.bin RET   gettimeofday 0
  1241 soffice.bin CALL  gettimeofday(0x29c2030c,0)
  1241 soffice.bin RET   gettimeofday 0
  1241 soffice.bin CALL  gettimeofday(0xbfbfe1f0,0)
  1241 soffice.bin RET   gettimeofday 0
  1241 soffice.bin CALL  gettimeofday(0xbfbfe074,0)
  1241 soffice.bin RET   gettimeofday 0
  1241 soffice.bin CALL  mmap(0,0xa0000,0x3,0x1002,0xffffffff,0,0,0)
  1241 soffice.bin RET   mmap 823193600/0x3110f000
  1241 soffice.bin CALL  mmap(0,0xa0000,0x3,0x1002,0xffffffff,0,0,0)
  1241 soffice.bin RET   mmap 823848960/0x311af000
  1241 soffice.bin CALL  writev(0x6,0xbfbfce78,0x2)
  1241 soffice.bin GIO   fd 6 wrote 4096 bytes
       0x0000 3e18 0700 2697 4002 3c97 4002 3d97 4002 0000  |>...&.@.<.@.=.@...|
       0x0012 1500 0000 0000 9403 af02 9d04 0500 89b2 4002  |................@.|
       0x0024 3c97 4002 ee00 0000 0000 0000 9d04 0500 8ab2  |<.@...............|
       0x0036 4002 87b2 4002 ee00 0000 0000 0000 3508 0400  |@...@.........5...|
       0x0048 8bb2 4002 3c97 4002 9403 af02 37b2 0400 8cb2  |..@.<.@.....7.....|
       0x005a 4002 8bb2 4002 0000 0000 4802 dcff 8bb2 4002  |@...@.....H.....@.|
       0x006c 8cb2 4002 9403 1e01 0000 0000 0008 4002 f2f2  |..@...........@...|
       0x007e f2f2 f2f2 f2f2 f2f2 f2f2 f2f2 f2f2 f2f2 f2f2  |..................|
       0x0090 f2f2 f2f2 f2f2 f2f2 f2f2 f2f2 f2f2 f2f2 f2f2  |..................|
       0x00a2 f2f2 f2f2 f2f2 f2f2 f2f2 f2f2 f2f2 f2f2 f2f2  |..................|
.
.
.
  1241 soffice.bin RET   writev 8148/0x1fd4
  1241 soffice.bin CALL  writev(0x6,0xbfbfce78,0x2)
  1241 soffice.bin RET   writev -1 errno 35 Resource temporarily unavailable
  1241 soffice.bin CALL  poll(0xbfbfc620,0x1,0xffffffff)
  1241 soffice.bin RET   fork 0
  1241 soffice.bin CALL  kse_release(0x8096f40)
  1241 soffice.bin RET   kse_release 0
  1241 soffice.bin CALL  writev(0x6,0xbfbfce78,0x2)
  1241 soffice.bin GIO   fd 6 wrote 4096 bytes
       0x0000 4802 dcff 8bb2 4002 8cb2 4002 9403 1e01 0000  |H.....@...@.......|
       0x0012 1e01 0008 0000 f2f2 f2f2 f2f2 f2f2 f2f2 f2f2  |..................|
       0x0024 f2f2 f2f2 f2f2 f2f2 f2f2 f2f2 f2f2 f2f2 f2f2  |..................|
.
.
.
       0x0ff6 f2f2 f2f2 f2f2 f2f2 f2f2                      |..........|

  1241 soffice.bin RET   writev 7060/0x1b94
  1241 soffice.bin CALL  munmap(0x311af000,0xa0000)
  1241 soffice.bin RET   munmap 0
  1241 soffice.bin CALL  munmap(0x3110f000,0xa0000)
  1241 soffice.bin RET   munmap 0
  1241 soffice.bin CALL  write(0x6,0x80ba000,0x8c)
  1241 soffice.bin GIO   fd 6 wrote 140 bytes
       0x0000 3c02 0200 8cb2 4002 9d04 0600 8db2 4002 8bb2  |<.....@.......@...|
       0x0012 4002 ea00 0000 0100 0000 0100 0000 9d08 0900  |@.................|
       0x0024 0397 4002 8ab2 4002 8db2 4002 89b2 4002 0000  |..@...@...@...@...|
.
.
.
  1241 soffice.bin RET   kse_release 0
  1241 soffice.bin CALL  read(0x6,0xbfbfdb9c,0x20)
  1241 soffice.bin GIO   fd 6 read 32 bytes
       0x0000 0102 fb7d 0000 0000 b200 e000 0000 0000 0400  |...}..............|
       0x0012 0000 0400 0000 40f4 3f08 0000 0000            |......@.?.....|

  1241 soffice.bin RET   read 32/0x20
  1241 soffice.bin CALL  ioctl(0x6,FIONREAD,0xbfbfd8a8)
  1241 soffice.bin RET   ioctl 0
  1241 soffice.bin CALL  kse_release(0x8096f4c)
  1241 soffice.bin RET   kse_release 0
  1241 soffice.bin CALL  gettimeofday(0xbfbfe074,0)
  1241 soffice.bin RET   gettimeofday 0
  1241 soffice.bin CALL  mmap(0,0xa0000,0x3,0x1002,0xffffffff,0,0,0)
  1241 soffice.bin RET   mmap 823193600/0x3110f000
  1241 soffice.bin CALL  mmap(0,0xa0000,0x3,0x1002,0xffffffff,0,0,0)
  1241 soffice.bin RET   mmap 823848960/0x311af000
  1241 soffice.bin CALL  writev(0x6,0xbfbfce78,0x2)
  1241 soffice.bin GIO   fd 6 wrote 4096 bytes
       0x0000 3e02 0700 2697 4002 3c97 4002 3d97 4002 0000  |>...&.@.<.@.=.@...|
       0x0012 1500 0000 0000 9403 af02 9d04 0500 8eb2 4002  |................@.|
.
.
.
       0x007e ecec ecec ecec ecec ecec ecec ecec ecec ecec  |..................|
       0x0090 ecec ecec ecec ecec ecec ecec ecec ecec ecec  |..................|
.
.
.
  1241 soffice.bin RET   write 140/0x8c
  1241 soffice.bin CALL  read(0x6,0xbfbfdb9c,0x20)
  1241 soffice.bin RET   read -1 errno 35 Resource temporarily unavailable
  1241 soffice.bin CALL  poll(0x80b0700,0x1,0xffffffff)
  1241 soffice.bin RET   fork 0
  1241 soffice.bin CALL  kse_release(0x8096f40)
  1241 soffice.bin RET   kse_release 0
  1241 soffice.bin CALL  read(0x6,0xbfbfdb9c,0x20)
  1241 soffice.bin GIO   fd 6 read 32 bytes
       0x0000 0102 0c7e 0000 0000 b200 e000 0000 0000 0400  |...~..............|
       0x0012 0000 0400 0000 40f4 3f08 0000 0000            |......@.?.....|

  1241 soffice.bin RET   read 32/0x20
  1241 soffice.bin CALL  ioctl(0x6,FIONREAD,0xbfbfd8a8)
  1241 soffice.bin RET   ioctl 0
  1241 soffice.bin CALL  kse_release(0x8096f4c)
  1241 soffice.bin RET   kse_release 0
  1241 soffice.bin CALL  gettimeofday(0xbfbfe074,0)
  1241 soffice.bin RET   gettimeofday 0
  1241 soffice.bin CALL  mmap(0,0xa0000,0x3,0x1002,0xffffffff,0,0,0)
  1241 soffice.bin RET   mmap 823193600/0x3110f000
  1241 soffice.bin CALL  mmap(0,0xa0000,0x3,0x1002,0xffffffff,0,0,0)
  1241 soffice.bin RET   mmap 823848960/0x311af000
  1241 soffice.bin CALL  writev(0x6,0xbfbfce78,0x2)
  1241 soffice.bin GIO   fd 6 wrote 4096 bytes
       0x0000 3e02 0700 2697 4002 3c97 4002 3d97 4002 0000  |>...&.@.<.@.=.@...|
       0x0012 1500 0000 0000 9403 af02 9d04 0500 93b2 4002  |................@.|
       0x0024 3c97 4002 ee00 0000 0000 0000 9d04 0500 94b2  |<.@...............|
       0x0036 4002 87b2 4002 ee00 0000 0000 0000 3508 0400  |@...@.........5...|
       0x0048 95b2 4002 3c97 4002 9403 af02 3707 0400 96b2  |..@.<.@.....7.....|
       0x005a 4002 95b2 4002 0000 0000 4802 dcff 95b2 4002  |@...@.....H.....@.|
       0x006c 96b2 4002 9403 1e01 0000 0000 0008 4002 e6e6  |..@...........@...|
       0x007e e6e6 e6e6 e6e6 e6e6 e6e6 e6e6 e6e6 e6e6 e6e6  |..................|
       0x0090 e6e6 e6e6 e6e6 e6e6 e6e6 e6e6 e6e6 e6e6 e6e6  |..................|
.
.
.
  1241 soffice.bin CALL  poll(0x80b0700,0x1,0xffffffff)
  1241 soffice.bin RET   fork 0
  1241 soffice.bin CALL  kse_release(0x8096f40)
  1241 soffice.bin RET   kse_release 0
  1241 soffice.bin CALL  read(0x6,0xbfbfdb9c,0x20)
  1241 soffice.bin GIO   fd 6 read 32 bytes
       0x0000 0102 1d7e 0000 0000 b200 e000 0000 0000 0400  |...~..............|
       0x0012 0000 0400 0000 40f4 3f08 0000 0000            |......@.?.....|

  1241 soffice.bin RET   read 32/0x20
  1241 soffice.bin CALL  ioctl(0x6,FIONREAD,0xbfbfd8a8)
  1241 soffice.bin RET   ioctl 0
  1241 soffice.bin CALL  kse_release(0x8096f4c)
  1241 soffice.bin RET   kse_release 0
  1241 soffice.bin CALL  gettimeofday(0xbfbfe074,0)
  1241 soffice.bin RET   gettimeofday 0
  1241 soffice.bin CALL  mmap(0,0xa0000,0x3,0x1002,0xffffffff,0,0,0)
  1241 soffice.bin RET   mmap 823193600/0x3110f000
  1241 soffice.bin CALL  mmap(0,0xa0000,0x3,0x1002,0xffffffff,0,0,0)
  1241 soffice.bin RET   mmap 823848960/0x311af000
  1241 soffice.bin CALL  writev(0x6,0xbfbfce78,0x2)
  1241 soffice.bin GIO   fd 6 wrote 4096 bytes
       0x0000 3e02 0700 2697 4002 3c97 4002 3d97 4002 0000  |>...&.@.<.@.=.@...|
       0x0012 1500 0000 0000 9403 af02 9d04 0500 98b2 4002  |................@.|
       0x0024 3c97 4002 ee00 0000 0000 0000 9d04 0500 99b2  |<.@...............|
       0x0036 4002 87b2 4002 ee00 0000 0000 0000 3508 0400  |@...@.........5...|
       0x0048 9ab2 4002 3c97 4002 9403 af02 3707 0400 9bb2  |..@.<.@.....7.....|
       0x005a 4002 9ab2 4002 0000 0000 4802 dcff 9ab2 4002  |@...@.....H.....@.|
       0x006c 9bb2 4002 9403 1e01 0000 0000 0008 4002 dfdf  |..@...........@...|
       0x007e dfdf dfdf dfdf dfdf dfdf dfdf dfdf dfdf dfdf  |..................|
       0x0090 dfdf dfdf dfdf dfdf dfdf dfdf dfdf dfdf dfdf  |..................|
.
.
.
  1241 soffice.bin RET   writev 8192/0x2000
  1241 soffice.bin CALL  writev(0x6,0xbfbfce78,0x1)
  1241 soffice.bin RET   writev -1 errno 35 Resource temporarily unavailable
  1241 soffice.bin CALL  poll(0xbfbfc620,0x1,0xffffffff)
  1241 soffice.bin RET   fork 0
  1241 soffice.bin CALL  kse_release(0x8096f40)
  1241 soffice.bin RET   kse_release 0
  1241 soffice.bin CALL  writev(0x6,0xbfbfce78,0x1)
  1241 soffice.bin GIO   fd 6 wrote 4096 bytes
       0x0000 dada dada dada dada dada dada dada dada dada  |..................|
       0x0012 dada dada dada dada dada dada dada dada dada  |..................|
.
.
.
  1241 soffice.bin RET   writev 8192/0x2000
  1241 soffice.bin CALL  writev(0x6,0xbfbfce78,0x1)
  1241 soffice.bin RET   writev -1 errno 35 Resource temporarily unavailable
  1241 soffice.bin CALL  poll(0xbfbfc620,0x1,0xffffffff)
  1241 soffice.bin RET   fork 0
  1241 soffice.bin CALL  kse_release(0x8096f40)
  1241 soffice.bin RET   kse_release 0
  1241 soffice.bin CALL  writev(0x6,0xbfbfce78,0x1)
  1241 soffice.bin GIO   fd 6 wrote 4096 bytes
       0x0000 d1d1 d1d1 d1d1 d1d1 d1d1 d1d1 d1d1 d1d1 d1d1  |..................|
       0x0012 d1d1 d1d1 d1d1 d1d1 d1d1 d1d1 d1d1 d1d1 d1d1  |..................|
.
.
.
  1241 soffice.bin RET   read 32/0x20
  1241 soffice.bin CALL  ioctl(0x6,FIONREAD,0xbfbfd8a8)
  1241 soffice.bin RET   ioctl 0
  1241 soffice.bin CALL  kse_release(0x8096f4c)
  1241 soffice.bin RET   kse_release 0
  1241 soffice.bin CALL  gettimeofday(0xbfbfe074,0)
  1241 soffice.bin RET   gettimeofday 0
  1241 soffice.bin CALL  mmap(0,0xa0000,0x3,0x1002,0xffffffff,0,0,0)
  1241 soffice.bin RET   mmap 823193600/0x3110f000
  1241 soffice.bin CALL  mmap(0,0xa0000,0x3,0x1002,0xffffffff,0,0,0)
  1241 soffice.bin RET   mmap 823848960/0x311af000
  1241 soffice.bin CALL  writev(0x6,0xbfbfce78,0x2)
  1241 soffice.bin GIO   fd 6 wrote 4096 bytes
       0x0000 3e02 0700 2697 4002 3c97 4002 3d97 4002 0000  |>...&.@.<.@.=.@...|
       0x0012 1500 0000 0000 9403 af02 9d04 0500 a7b2 4002  |................@.|
       0x0024 3c97 4002 ee00 0000 0000 0000 9d04 0500 a8b2  |<.@...............|
       0x0036 4002 87b2 4002 ee00 0000 0000 0000 3508 0400  |@...@.........5...|
       0x0048 a9b2 4002 3c97 4002 9403 af02 3707 0400 aab2  |..@.<.@.....7.....|
       0x005a 4002 a9b2 4002 0000 0000 4802 dcff a9b2 4002  |@...@.....H.....@.|
       0x006c aab2 4002 9403 1e01 0000 0000 0008 4002 cbcb  |..@...........@...|
       0x007e cbcb cbcb cbcb cbcb cbcb cbcb cbcb cbcb cbcb  |..................|
       0x0090 cbcb cbcb cbcb cbcb cbcb cbcb cbcb cbcb cbcb  |..................|
       0x00a2 cbcb cbcb cbcb cbcb cbcb cbcb cbcb cbcb cbcb  |..................|
.
.
.
  1241 soffice.bin RET   writev 8192/0x2000
  1241 soffice.bin CALL  writev(0x6,0xbfbfce78,0x1)
  1241 soffice.bin RET   writev -1 errno 35 Resource temporarily unavailable
  1241 soffice.bin CALL  poll(0xbfbfc620,0x1,0xffffffff)
  1241 soffice.bin RET   fork 0
  1241 soffice.bin CALL  kse_release(0x8096f40)
  1241 soffice.bin RET   kse_release 0
  1241 soffice.bin CALL  ioctl(0x6,FIONREAD,0xbfbfc61c)
  1241 soffice.bin RET   ioctl 0
  1241 soffice.bin CALL  read(0x6,0xbfbfc628,0x40)
  1241 soffice.bin GIO   fd 6 read 64 bytes
       0x0000 000b 547e a9b2 4002 0000 3500 0800 0000 0700  |..T~..@...5.......|
       0x0012 0000 0032 2008 0084 6d08 1000 0000 0009 557e  |...2 ...m.......U~|
       0x0024 a9b2 4002 0000 3740 0100 0000 1000 0000 0400  |..@...7@..........|
       0x0036 0000 40f4 3f08 1000 0000                      |..@.?.....|

  1241 soffice.bin RET   read 64/0x40
  1241 soffice.bin CALL  exit(0x4e)
Comment 3 User1001 2008-01-20 19:10:15 UTC
Additional information about testing and crashing with OOimpress-2.3.1
is available at

	http://www.openoffice.org/issues/show_bug.cgi?id=83512

which appears to indicate an Xorg problem,

	"X-error: BadAlloc (insufficient resources for operation)"

on a machine with a 256MB graphics card and 2GB RAM.
Comment 4 User1001 2008-06-12 04:46:15 UTC
This problem has been fixed in OO-v3.0.0.B!
Comment 5 Martin Wilke freebsd_committer 2009-05-30 23:59:04 UTC
State Changed
From-To: open->closed

close by submitter request.